### Hierarchy

- Called

### Callable

- __call(): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:200

  #### Returns Assertion

## Index

### Properties

- always
- at
- once
- twice
- with

### Methods

- above
- below
- exactly
- gt
- lt
- max
- min

## Properties

### always

always: Always

- Defined in node_modules/@types/chai-spies/index.d.ts:203

### at

at: At

- Defined in node_modules/@types/chai-spies/index.d.ts:265

### once

once: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:215

####.once Assert that a spy has been called exactly once.

    expect(spy).to.have.been.called.once;
    expect(spy).to.not.have.been.called.once;
    spy.should.have.been.called.once;
    spy.should.not.have.been.called.once;

### twice

twice: Assertion

- Defined in node_modules/@types/chai-spies/index.d.ts:227

####.twice Assert that a spy has been called exactly twice.

    expect(spy).to.have.been.called.twice;
    expect(spy).to.not.have.been.called.twice;
    spy.should.have.been.called.twice;
    spy.should.not.have.been.called.twice;

### with

with: With

- Defined in node_modules/@types/chai-spies/index.d.ts:202

## Methods

### above

- above(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:274

  ####.above(n) / .gt(n) Assert that a spy has been called more than `n` times.

      expect(spy).to.have.been.called.above(3);
      spy.should.not.have.been.called.above(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### below

- below(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:294

  ####.below(n) / .lt(n) Assert that a spy has been called fewer than `n` times.

      expect(spy).to.have.been.called.below(3);
      spy.should.not.have.been.called.below(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### exactly

- exactly(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:239

  ####.exactly(n) Assert that a spy has been called exactly `n` times.

      expect(spy).to.have.been.called.exactly(3);
      expect(spy).to.not.have.been.called.exactly(3);
      spy.should.have.been.called.exactly(3);
      spy.should.not.have.been.called.exactly(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### gt

- gt(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:284

  ####.above(n) / .gt(n) Assert that a spy has been called more than `n` times.

      expect(spy).to.have.been.called.gt(3);
      spy.should.not.have.been.called.gt(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### lt

- lt(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:304

  ####.below(n) / .lt(n) Assert that a spy has been called fewer than `n` times.

      expect(spy).to.have.been.called.lt(3);
      spy.should.not.have.been.called.lt(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### max

- max(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:263

  ####.max(n) / .at.most(n) Assert that a spy has been called maximum of `n` times.

      expect(spy).to.have.been.called.max(3);
      expect(spy).to.not.have.been.called.at.most(3);
      spy.should.have.been.called.at.most(3);
      spy.should.not.have.been.called.max(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

### min

- min(n: number): Assertion

- - Defined in node_modules/@types/chai-spies/index.d.ts:251

  ####.min(n) / .at.least(n) Assert that a spy has been called minimum of `n` times.

      expect(spy).to.have.been.called.min(3);
      expect(spy).to.not.have.been.called.at.least(3);
      spy.should.have.been.called.at.least(3);
      spy.should.not.have.been.called.min(3);

  #### Parameters

  - ##### n: number

  #### Returns Assertion

Generated using TypeDoc